# Uses of Interface
org.apache.lucene.search.ReferenceManager.RefreshListener

Packages that use ReferenceManager.RefreshListener
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of ReferenceManager.RefreshListener in org.apache.lucene.search

  Classes in org.apache.lucene.search that implement ReferenceManager.RefreshListener
  Modifier and Type
  Class
  Description
  `class`
  `LiveFieldValues<S,T>`
  Tracks live field values across NRT reader reopens.
  Methods in org.apache.lucene.search with parameters of type ReferenceManager.RefreshListener
  Modifier and Type
  Method
  Description
  `void`
  ReferenceManager.`addListener(ReferenceManager.RefreshListener listener)`
  Adds a listener, to be notified when a reference is refreshed/swapped.
  `void`
  ReferenceManager.`removeListener(ReferenceManager.RefreshListener listener)`
  Remove a listener added with `ReferenceManager.addListener(RefreshListener)`.